import { defineStore as wn } from "pinia";
import { computed as Ae, ref as dn, getCurrentInstance as Ct, inject as Vn, shallowRef as Wn, watch as Vt, onMounted as $n, onUnmounted as Yn, defineComponent as bt, h as En, createVNode as Gn, Text as Kn, Fragment as Nn } from "vue";
import "@vue/devtools-api";
const Hn = "mf-reportglobal-loader", ls = wn(Hn, () => {
  const e = Ae(() => t.value > 0), t = dn(0);
  async function n(r) {
    try {
      return t.value++, await r();
    } finally {
      t.value--;
    }
  }
  return {
    isLoading: e,
    promptLoader: n
  };
});
/*!
  * shared v11.1.1
  * (c) 2025 kazuya kawaguchi
  * Released under the MIT License.
  */
const le = typeof window < "u";
let z, Le;
if (process.env.NODE_ENV !== "production") {
  const e = le && window.performance;
  e && e.mark && e.measure && e.clearMarks && // @ts-ignore browser compat
  e.clearMeasures && (z = (t) => {
    e.mark(t);
  }, Le = (t, n, r) => {
    e.measure(t, n, r), e.clearMarks(n), e.clearMarks(r);
  });
}
const xn = /\{([0-9a-zA-Z]+)\}/g;
function xe(e, ...t) {
  return t.length === 1 && F(t[0]) && (t = t[0]), (!t || !t.hasOwnProperty) && (t = {}), e.replace(xn, (n, r) => t.hasOwnProperty(r) ? t[r] : "");
}
const ie = (e, t = !1) => t ? Symbol.for(e) : Symbol(e), Bn = (e, t, n) => Xn({ l: e, k: t, s: n }), Xn = (e) => JSON.stringify(e).replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029").replace(/\u0027/g, "\\u0027"), X = (e) => typeof e == "number" && isFinite(e), jn = (e) => St(e) === "[object Date]", Ge = (e) => St(e) === "[object RegExp]", Be = (e) => M(e) && Object.keys(e).length === 0, j = Object.assign, Jn = Object.create, V = (e = null) => Jn(e);
let Wt;
const pe = () => Wt || (Wt = typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : typeof globalThis < "u" ? globalThis : V());
function $t(e) {
  return e.replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&apos;");
}
const Qn = Object.prototype.hasOwnProperty;
function ne(e, t) {
  return Qn.call(e, t);
}
const B = Array.isArray, W = (e) => typeof e == "function", C = (e) => typeof e == "string", K = (e) => typeof e == "boolean", F = (e) => e !== null && typeof e == "object", qn = (e) => F(e) && W(e.then) && W(e.catch), pn = Object.prototype.toString, St = (e) => pn.call(e), M = (e) => St(e) === "[object Object]", Zn = (e) => e == null ? "" : B(e) || M(e) && e.toString === pn ? JSON.stringify(e, null, 2) : String(e);
function Dt(e, t = "") {
  return e.reduce((n, r, a) => a === 0 ? n + r : n + t + r, "");
}
const Yt = 2;
function zn(e, t = 0, n = e.length) {
  const r = e.split(/\r?\n/);
  let a = 0;
  const s = [];
  for (let i = 0; i < r.length; i++)
    if (a += r[i].length + 1, a >= t) {
      for (let u = i - Yt; u <= i + Yt || n > a; u++) {
        if (u < 0 || u >= r.length)
          continue;
        const c = u + 1;
        s.push(`${c}${" ".repeat(3 - String(c).length)}|  ${r[u]}`);
        const p = r[u].length;
        if (u === i) {
          const g = t - (a - p) + 1, h = Math.max(1, n > a ? p - g : n - t);
          s.push("   |  " + " ".repeat(g) + "^".repeat(h));
        } else if (u > i) {
          if (n > a) {
            const g = Math.max(Math.min(n - a, p), 1);
            s.push("   |  " + "^".repeat(g));
          }
          a += p + 1;
        }
      }
      break;
    }
  return s.join(`
`);
}
function fe(e, t) {
  typeof console < "u" && (console.warn("[intlify] " + e), t && console.warn(t.stack));
}
const Gt = {};
function er(e) {
  Gt[e] || (Gt[e] = !0, fe(e));
}
function tr() {
  const e = /* @__PURE__ */ new Map();
  return {
    events: e,
    on(n, r) {
      const a = e.get(n);
      a && a.push(r) || e.set(n, [r]);
    },
    off(n, r) {
      const a = e.get(n);
      a && a.splice(a.indexOf(r) >>> 0, 1);
    },
    emit(n, r) {
      (e.get(n) || []).slice().map((a) => a(r)), (e.get("*") || []).slice().map((a) => a(n, r));
    }
  };
}
const Ve = (e) => !F(e) || B(e);
function Ye(e, t) {
  if (Ve(e) || Ve(t))
    throw new Error("Invalid value");
  const n = [{ src: e, des: t }];
  for (; n.length; ) {
    const { src: r, des: a } = n.pop();
    Object.keys(r).forEach((s) => {
      s !== "__proto__" && (F(r[s]) && !F(a[s]) && (a[s] = Array.isArray(r[s]) ? [] : V()), Ve(a[s]) || Ve(r[s]) ? a[s] = r[s] : n.push({ src: r[s], des: a[s] }));
    });
  }
}
/*!
  * message-compiler v11.1.1
  * (c) 2025 kazuya kawaguchi
  * Released under the MIT License.
  */
function nr(e, t, n) {
  return { line: e, column: t, offset: n };
}
function dt(e, t, n) {
  return { start: e, end: t };
}
const P = {
  // tokenizer error codes
  EXPECTED_TOKEN: 1,
  INVALID_TOKEN_IN_PLACEHOLDER: 2,
  UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER: 3,
  UNKNOWN_ESCAPE_SEQUENCE: 4,
  INVALID_UNICODE_ESCAPE_SEQUENCE: 5,
  UNBALANCED_CLOSING_BRACE: 6,
  UNTERMINATED_CLOSING_BRACE: 7,
  EMPTY_PLACEHOLDER: 8,
  NOT_ALLOW_NEST_PLACEHOLDER: 9,
  INVALID_LINKED_FORMAT: 10,
  // parser error codes
  MUST_HAVE_MESSAGES_IN_PLURAL: 11,
  UNEXPECTED_EMPTY_LINKED_MODIFIER: 12,
  UNEXPECTED_EMPTY_LINKED_KEY: 13,
  UNEXPECTED_LEXICAL_ANALYSIS: 14,
  // generator error codes
  UNHANDLED_CODEGEN_NODE_TYPE: 15,
  // minifier error codes
  UNHANDLED_MINIFIER_NODE_TYPE: 16
}, rr = 17, ar = {
  // tokenizer error messages
  [P.EXPECTED_TOKEN]: "Expected token: '{0}'",
  [P.INVALID_TOKEN_IN_PLACEHOLDER]: "Invalid token in placeholder: '{0}'",
  [P.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER]: "Unterminated single quote in placeholder",
  [P.UNKNOWN_ESCAPE_SEQUENCE]: "Unknown escape sequence: \\{0}",
  [P.INVALID_UNICODE_ESCAPE_SEQUENCE]: "Invalid unicode escape sequence: {0}",
  [P.UNBALANCED_CLOSING_BRACE]: "Unbalanced closing brace",
  [P.UNTERMINATED_CLOSING_BRACE]: "Unterminated closing brace",
  [P.EMPTY_PLACEHOLDER]: "Empty placeholder",
  [P.NOT_ALLOW_NEST_PLACEHOLDER]: "Not allowed nest placeholder",
  [P.INVALID_LINKED_FORMAT]: "Invalid linked format",
  // parser error messages
  [P.MUST_HAVE_MESSAGES_IN_PLURAL]: "Plural must have messages",
  [P.UNEXPECTED_EMPTY_LINKED_MODIFIER]: "Unexpected empty linked modifier",
  [P.UNEXPECTED_EMPTY_LINKED_KEY]: "Unexpected empty linked key",
  [P.UNEXPECTED_LEXICAL_ANALYSIS]: "Unexpected lexical analysis in token: '{0}'",
  // generator error messages
  [P.UNHANDLED_CODEGEN_NODE_TYPE]: "unhandled codegen node type: '{0}'",
  // minimizer error messages
  [P.UNHANDLED_MINIFIER_NODE_TYPE]: "unhandled mimifier node type: '{0}'"
};
function be(e, t, n = {}) {
  const { domain: r, messages: a, args: s } = n, i = process.env.NODE_ENV !== "production" ? xe((a || ar)[e] || "", ...s || []) : e, u = new SyntaxError(String(i));
  return u.code = e, t && (u.location = t), u.domain = r, u;
}
function sr(e) {
  throw e;
}
const or = /<\/?[\w\s="/.':;#-\/]+>/, lr = (e) => or.test(e), se = " ", ir = "\r", q = `
`, cr = "\u2028", ur = "\u2029";
function fr(e) {
  const t = e;
  let n = 0, r = 1, a = 1, s = 0;
  const i = (N) => t[N] === ir && t[N + 1] === q, u = (N) => t[N] === q, c = (N) => t[N] === ur, p = (N) => t[N] === cr, g = (N) => i(N) || u(N) || c(N) || p(N), h = () => n, T = () => r, S = () => a, v = () => s, b = (N) => i(N) || c(N) || p(N) ? q : t[N], D = () => b(n), f = () => b(n + s);
  function m() {
    return s = 0, g(n) && (r++, a = 0), i(n) && n++, n++, a++, t[n];
  }
  function O() {
    return i(n + s) && s++, s++, t[n + s];
  }
  function d() {
    n = 0, r = 1, a = 1, s = 0;
  }
  function I(N = 0) {
    s = N;
  }
  function A() {
    const N = n + s;
    for (; N !== n; )
      m();
    s = 0;
  }
  return {
    index: h,
    line: T,
    column: S,
    peekOffset: v,
    charAt: b,
    currentChar: D,
    currentPeek: f,
    next: m,
    peek: O,
    reset: d,
    resetPeek: I,
    skipToPeek: A
  };
}
const ce = void 0, _r = ".", Kt = "'", mr = "tokenizer";
function dr(e, t = {}) {
  const n = t.location !== !1, r = fr(e), a = () => r.index(), s = () => nr(r.line(), r.column(), r.index()), i = s(), u = a(), c = {
    currentType: 13,
    offset: u,
    startLoc: i,
    endLoc: i,
    lastType: 13,
    lastOffset: u,
    lastStartLoc: i,
    lastEndLoc: i,
    braceNest: 0,
    inLinked: !1,
    text: ""
  }, p = () => c, { onError: g } = t;
  function h(o, l, E, ...R) {
    const $ = p();
    if (l.column += E, l.offset += E, g) {
      const Y = n ? dt($.startLoc, l) : null, k = be(o, Y, {
        domain: mr,
        args: R
      });
      g(k);
    }
  }
  function T(o, l, E) {
    o.endLoc = s(), o.currentType = l;
    const R = { type: l };
    return n && (R.loc = dt(o.startLoc, o.endLoc)), E != null && (R.value = E), R;
  }
  const S = (o) => T(
    o,
    13
    /* TokenTypes.EOF */
  );
  function v(o, l) {
    return o.currentChar() === l ? (o.next(), l) : (h(P.EXPECTED_TOKEN, s(), 0, l), "");
  }
  function b(o) {
    let l = "";
    for (; o.currentPeek() === se || o.currentPeek() === q; )
      l += o.currentPeek(), o.peek();
    return l;
  }
  function D(o) {
    const l = b(o);
    return o.skipToPeek(), l;
  }
  function f(o) {
    if (o === ce)
      return !1;
    const l = o.charCodeAt(0);
    return l >= 97 && l <= 122 || // a-z
    l >= 65 && l <= 90 || // A-Z
    l === 95;
  }
  function m(o) {
    if (o === ce)
      return !1;
    const l = o.charCodeAt(0);
    return l >= 48 && l <= 57;
  }
  function O(o, l) {
    const { currentType: E } = l;
    if (E !== 2)
      return !1;
    b(o);
    const R = f(o.currentPeek());
    return o.resetPeek(), R;
  }
  function d(o, l) {
    const { currentType: E } = l;
    if (E !== 2)
      return !1;
    b(o);
    const R = o.currentPeek() === "-" ? o.peek() : o.currentPeek(), $ = m(R);
    return o.resetPeek(), $;
  }
  function I(o, l) {
    const { currentType: E } = l;
    if (E !== 2)
      return !1;
    b(o);
    const R = o.currentPeek() === Kt;
    return o.resetPeek(), R;
  }
  function A(o, l) {
    const { currentType: E } = l;
    if (E !== 7)
      return !1;
    b(o);
    const R = o.currentPeek() === ".";
    return o.resetPeek(), R;
  }
  function N(o, l) {
    const { currentType: E } = l;
    if (E !== 8)
      return !1;
    b(o);
    const R = f(o.currentPeek());
    return o.resetPeek(), R;
  }
  function y(o, l) {
    const { currentType: E } = l;
    if (!(E === 7 || E === 11))
      return !1;
    b(o);
    const R = o.currentPeek() === ":";
    return o.resetPeek(), R;
  }
  function w(o, l) {
    const { currentType: E } = l;
    if (E !== 9)
      return !1;
    const R = () => {
      const Y = o.currentPeek();
      return Y === "{" ? f(o.peek()) : Y === "@" || Y === "|" || Y === ":" || Y === "." || Y === se || !Y ? !1 : Y === q ? (o.peek(), R()) : te(o, !1);
    }, $ = R();
    return o.resetPeek(), $;
  }
  function H(o) {
    b(o);
    const l = o.currentPeek() === "|";
    return o.resetPeek(), l;
  }
  function te(o, l = !0) {
    const E = ($ = !1, Y = "") => {
      const k = o.currentPeek();
      return k === "{" || k === "@" || !k ? $ : k === "|" ? !(Y === se || Y === q) : k === se ? (o.peek(), E(!0, se)) : k === q ? (o.peek(), E(!0, q)) : !0;
    }, R = E();
    return l && o.resetPeek(), R;
  }
  function x(o, l) {
    const E = o.currentChar();
    return E === ce ? ce : l(E) ? (o.next(), E) : null;
  }
  function ge(o) {
    const l = o.charCodeAt(0);
    return l >= 97 && l <= 122 || // a-z
    l >= 65 && l <= 90 || // A-Z
    l >= 48 && l <= 57 || // 0-9
    l === 95 || // _
    l === 36;
  }
  function Je(o) {
    return x(o, ge);
  }
  function Qe(o) {
    const l = o.charCodeAt(0);
    return l >= 97 && l <= 122 || // a-z
    l >= 65 && l <= 90 || // A-Z
    l >= 48 && l <= 57 || // 0-9
    l === 95 || // _
    l === 36 || // $
    l === 45;
  }
  function qe(o) {
    return x(o, Qe);
  }
  function Ze(o) {
    const l = o.charCodeAt(0);
    return l >= 48 && l <= 57;
  }
  function ze(o) {
    return x(o, Ze);
  }
  function et(o) {
    const l = o.charCodeAt(0);
    return l >= 48 && l <= 57 || // 0-9
    l >= 65 && l <= 70 || // A-F
    l >= 97 && l <= 102;
  }
  function ae(o) {
    return x(o, et);
  }
  function Se(o) {
    let l = "", E = "";
    for (; l = ze(o); )
      E += l;
    return E;
  }
  function tt(o) {
    let l = "";
    for (; ; ) {
      const E = o.currentChar();
      if (E === "{" || E === "}" || E === "@" || E === "|" || !E)
        break;
      if (E === se || E === q)
        if (te(o))
          l += E, o.next();
        else {
          if (H(o))
            break;
          l += E, o.next();
        }
      else
        l += E, o.next();
    }
    return l;
  }
  function nt(o) {
    D(o);
    let l = "", E = "";
    for (; l = qe(o); )
      E += l;
    return o.currentChar() === ce && h(P.UNTERMINATED_CLOSING_BRACE, s(), 0), E;
  }
  function rt(o) {
    D(o);
    let l = "";
    return o.currentChar() === "-" ? (o.next(), l += `-${Se(o)}`) : l += Se(o), o.currentChar() === ce && h(P.UNTERMINATED_CLOSING_BRACE, s(), 0), l;
  }
  function at(o) {
    return o !== Kt && o !== q;
  }
  function Ut(o) {
    D(o), v(o, "'");
    let l = "", E = "";
    for (; l = x(o, at); )
      l === "\\" ? E += st(o) : E += l;
    const R = o.currentChar();
    return R === q || R === ce ? (h(P.UNTERMINATED_SINGLE_QUOTE_IN_PLACEHOLDER, s(), 0), R === q && (o.next(), v(o, "'")), E) : (v(o, "'"), E);
  }
  function st(o) {
    const l = o.currentChar();
    switch (l) {
      case "\\":
      case "'":
        return o.next(), `\\${l}`;
      case "u":
        return Ue(o, l, 4);
      case "U":
        return Ue(o, l, 6);
      default:
        return h(P.UNKNOWN_ESCAPE_SEQUENCE, s(), 0, l), "";
    }
  }
  function Ue(o, l, E) {
    v(o, l);
    let R = "";
    for (let $ = 0; $ < E; $++) {
      const Y = ae(o);
      if (!Y) {
        h(P.INVALID_UNICODE_ESCAPE_SEQUENCE, s(), 0, `\\${l}${R}${o.currentChar()}`);
        break;
      }
      R += Y;
    }
    return `\\${l}${R}`;
  }
  function ot(o) {
    return o !== "{" && o !== "}" && o !== se && o !== q;
  }
  function lt(o) {
    D(o);
    let l = "", E = "";
    for (; l = x(o, ot); )
      E += l;
    return E;
  }
  function it(o) {
    let l = "", E = "";
    for (; l = Je(o); )
      E += l;
    return E;
  }
  function ct(o) {
    const l = (E) => {
      const R = o.currentChar();
      return R === "{" || R === "@" || R === "|" || R === "(" || R === ")" || !R || R === se ? E : (E += R, o.next(), l(E));
    };
    return l("");
  }
  function De(o) {
    D(o);
    const l = v(
      o,
      "|"
      /* TokenChars.Pipe */
    );
    return D(o), l;
  }
  function Re(o, l) {
    let E = null;
    switch (o.currentChar()) {
      case "{":
        return l.braceNest >= 1 && h(P.NOT_ALLOW_NEST_PLACEHOLDER, s(), 0), o.next(), E = T(
          l,
          2,
          "{"
          /* TokenChars.BraceLeft */
        ), D(o), l.braceNest++, E;
      case "}":
        return l.braceNest > 0 && l.currentType === 2 && h(P.EMPTY_PLACEHOLDER, s(), 0), o.next(), E = T(
          l,
          3,
          "}"
          /* TokenChars.BraceRight */
        ), l.braceNest--, l.braceNest > 0 && D(o), l.inLinked && l.braceNest === 0 && (l.inLinked = !1), E;
      case "@":
        return l.braceNest > 0 && h(P.UNTERMINATED_CLOSING_BRACE, s(), 0), E = de(o, l) || S(l), l.braceNest = 0, E;
      default: {
        let $ = !0, Y = !0, k = !0;
        if (H(o))
          return l.braceNest > 0 && h(P.UNTERMINATED_CLOSING_BRACE, s(), 0), E = T(l, 1, De(o)), l.braceNest = 0, l.inLinked = !1, E;
        if (l.braceNest > 0 && (l.currentType === 4 || l.currentType === 5 || l.currentType === 6))
          return h(P.UNTERMINATED_CLOSING_BRACE, s(), 0), l.braceNest = 0, Pe(o, l);
        if ($ = O(o, l))
          return E = T(l, 4, nt(o)), D(o), E;
        if (Y = d(o, l))
          return E = T(l, 5, rt(o)), D(o), E;
        if (k = I(o, l))
          return E = T(l, 6, Ut(o)), D(o), E;
        if (!$ && !Y && !k)
          return E = T(l, 12, lt(o)), h(P.INVALID_TOKEN_IN_PLACEHOLDER, s(), 0, E.value), D(o), E;
        break;
      }
    }
    return E;
  }
  function de(o, l) {
    const { currentType: E } = l;
    let R = null;
    const $ = o.currentChar();
    switch ((E === 7 || E === 8 || E === 11 || E === 9) && ($ === q || $ === se) && h(P.INVALID_LINKED_FORMAT, s(), 0), $) {
      case "@":
        return o.next(), R = T(
          l,
          7,
          "@"
          /* TokenChars.LinkedAlias */
        ), l.inLinked = !0, R;
      case ".":
        return D(o), o.next(), T(
          l,
          8,
          "."
          /* TokenChars.LinkedDot */
        );
      case ":":
        return D(o), o.next(), T(
          l,
          9,
          ":"
          /* TokenChars.LinkedDelimiter */
        );
      default:
        return H(o) ? (R = T(l, 1, De(o)), l.braceNest = 0, l.inLinked = !1, R) : A(o, l) || y(o, l) ? (D(o), de(o, l)) : N(o, l) ? (D(o), T(l, 11, it(o))) : w(o, l) ? (D(o), $ === "{" ? Re(o, l) || R : T(l, 10, ct(o))) : (E === 7 && h(P.INVALID_LINKED_FORMAT, s(), 0), l.braceNest = 0, l.inLinked = !1, Pe(o, l));
    }
  }
  function Pe(o, l) {
    let E = {
      type: 13
      /* TokenTypes.EOF */
    };
    if (l.braceNest > 0)
      return Re(o, l) || S(l);
    if (l.inLinked)
      return de(o, l) || S(l);
    switch (o.currentChar()) {
      case "{":
        return Re(o, l) || S(l);
      case "}":
        return h(P.UNBALANCED_CLOSING_BRACE, s(), 0), o.next(), T(
          l,
          3,
          "}"
          /* TokenChars.BraceRight */
        );
      case "@":
        return de(o, l) || S(l);
      default: {
        if (H(o))
          return E = T(l, 1, De(o)), l.braceNest = 0, l.inLinked = !1, E;
        if (te(o))
          return T(l, 0, tt(o));
        break;
      }
    }
    return E;
  }
  function ut() {
    const { currentType: o, offset: l, startLoc: E, endLoc: R } = c;
    return c.lastType = o, c.lastOffset = l, c.lastStartLoc = E, c.lastEndLoc = R, c.offset = a(), c.startLoc = s(), r.currentChar() === ce ? T(
      c,
      13
      /* TokenTypes.EOF */
    ) : Pe(r, c);
  }
  return {
    nextToken: ut,
    currentOffset: a,
    currentPosition: s,
    context: p
  };
}
const Er = "parser", Nr = /(?:\\\\|\\'|\\u([0-9a-fA-F]{4})|\\U([0-9a-fA-F]{6}))/g;
function pr(e, t, n) {
  switch (e) {
    case "\\\\":
      return "\\";
    case "\\'":
      return "'";
    default: {
      const r = parseInt(t || n, 16);
      return r <= 55295 || r >= 57344 ? String.fromCodePoint(r) : "�";
    }
  }
}
function Lr(e = {}) {
  const t = e.location !== !1, { onError: n } = e;
  function r(f, m, O, d, ...I) {
    const A = f.currentPosition();
    if (A.offset += d, A.column += d, n) {
      const N = t ? dt(O, A) : null, y = be(m, N, {
        domain: Er,
        args: I
      });
      n(y);
    }
  }
  function a(f, m, O) {
    const d = { type: f };
    return t && (d.start = m, d.end = m, d.loc = { start: O, end: O }), d;
  }
  function s(f, m, O, d) {
    t && (f.end = m, f.loc && (f.loc.end = O));
  }
  function i(f, m) {
    const O = f.context(), d = a(3, O.offset, O.startLoc);
    return d.value = m, s(d, f.currentOffset(), f.currentPosition()), d;
  }
  function u(f, m) {
    const O = f.context(), { lastOffset: d, lastStartLoc: I } = O, A = a(5, d, I);
    return A.index = parseInt(m, 10), f.nextToken(), s(A, f.currentOffset(), f.currentPosition()), A;
  }
  function c(f, m) {
    const O = f.context(), { lastOffset: d, lastStartLoc: I } = O, A = a(4, d, I);
    return A.key = m, f.nextToken(), s(A, f.currentOffset(), f.currentPosition()), A;
  }
  function p(f, m) {
    const O = f.context(), { lastOffset: d, lastStartLoc: I } = O, A = a(9, d, I);
    return A.value = m.replace(Nr, pr), f.nextToken(), s(A, f.currentOffset(), f.currentPosition()), A;
  }
  function g(f) {
    const m = f.nextToken(), O = f.context(), { lastOffset: d, lastStartLoc: I } = O, A = a(8, d, I);
    return m.type !== 11 ? (r(f, P.UNEXPECTED_EMPTY_LINKED_MODIFIER, O.lastStartLoc, 0), A.value = "", s(A, d, I), {
      nextConsumeToken: m,
      node: A
    }) : (m.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, O.lastStartLoc, 0, re(m)), A.value = m.value || "", s(A, f.currentOffset(), f.currentPosition()), {
      node: A
    });
  }
  function h(f, m) {
    const O = f.context(), d = a(7, O.offset, O.startLoc);
    return d.value = m, s(d, f.currentOffset(), f.currentPosition()), d;
  }
  function T(f) {
    const m = f.context(), O = a(6, m.offset, m.startLoc);
    let d = f.nextToken();
    if (d.type === 8) {
      const I = g(f);
      O.modifier = I.node, d = I.nextConsumeToken || f.nextToken();
    }
    switch (d.type !== 9 && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(d)), d = f.nextToken(), d.type === 2 && (d = f.nextToken()), d.type) {
      case 10:
        d.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(d)), O.key = h(f, d.value || "");
        break;
      case 4:
        d.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(d)), O.key = c(f, d.value || "");
        break;
      case 5:
        d.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(d)), O.key = u(f, d.value || "");
        break;
      case 6:
        d.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(d)), O.key = p(f, d.value || "");
        break;
      default: {
        r(f, P.UNEXPECTED_EMPTY_LINKED_KEY, m.lastStartLoc, 0);
        const I = f.context(), A = a(7, I.offset, I.startLoc);
        return A.value = "", s(A, I.offset, I.startLoc), O.key = A, s(O, I.offset, I.startLoc), {
          nextConsumeToken: d,
          node: O
        };
      }
    }
    return s(O, f.currentOffset(), f.currentPosition()), {
      node: O
    };
  }
  function S(f) {
    const m = f.context(), O = m.currentType === 1 ? f.currentOffset() : m.offset, d = m.currentType === 1 ? m.endLoc : m.startLoc, I = a(2, O, d);
    I.items = [];
    let A = null;
    do {
      const w = A || f.nextToken();
      switch (A = null, w.type) {
        case 0:
          w.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(w)), I.items.push(i(f, w.value || ""));
          break;
        case 5:
          w.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(w)), I.items.push(u(f, w.value || ""));
          break;
        case 4:
          w.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(w)), I.items.push(c(f, w.value || ""));
          break;
        case 6:
          w.value == null && r(f, P.UNEXPECTED_LEXICAL_ANALYSIS, m.lastStartLoc, 0, re(w)), I.items.push(p(f, w.value || ""));
          break;
        case 7: {
          const H = T(f);
          I.items.push(H.node), A = H.nextConsumeToken || null;
          break;
        }
      }
    } while (m.currentType !== 13 && m.currentType !== 1);
    const N = m.currentType === 1 ? m.lastOffset : f.currentOffset(), y = m.currentType === 1 ? m.lastEndLoc : f.currentPosition();
    return s(I, N, y), I;
  }
  function v(f, m, O, d) {
    const I = f.context();
    let A = d.items.length === 0;
    const N = a(1, m, O);
    N.cases = [], N.cases.push(d);
    do {
      const y = S(f);
      A || (A = y.items.length === 0), N.cases.push(y);
    } while (I.currentType !== 13);
    return A && r(f, P.MUST_HAVE_MESSAGES_IN_PLURAL, O, 0), s(N, f.currentOffset(), f.currentPosition()), N;
  }
  function b(f) {
    const m = f.context(), { offset: O, startLoc: d } = m, I = S(f);
    return m.currentType === 13 ? I : v(f, O, d, I);
  }
  function D(f) {
    const m = dr(f, j({}, e)), O = m.context(), d = a(0, O.offset, O.startLoc);
    return t && d.loc && (d.loc.source = f), d.body = b(m), e.onCacheKey && (d.cacheKey = e.onCacheKey(f)), O.currentType !== 13 && r(m, P.UNEXPECTED_LEXICAL_ANALYSIS, O.lastStartLoc, 0, f[O.offset] || ""), s(d, m.currentOffset(), m.currentPosition()), d;
  }
  return { parse: D };
}
function re(e) {
  if (e.type === 13)
    return "EOF";
  const t = (e.value || "").replace(/\r?\n/gu, "\\n");
  return t.length > 10 ? t.slice(0, 9) + "…" : t;
}
function Tr(e, t = {}) {
  const n = {
    ast: e,
    helpers: /* @__PURE__ */ new Set()
  };
  return { context: () => n, helper: (s) => (n.helpers.add(s), s) };
}
function Ht(e, t) {
  for (let n = 0; n < e.length; n++)
    Rt(e[n], t);
}
function Rt(e, t) {
  switch (e.type) {
    case 1:
      Ht(e.cases, t), t.helper(
        "plural"
        /* HelperNameMap.PLURAL */
      );
      break;
    case 2:
      Ht(e.items, t);
      break;
    case 6: {
      Rt(e.key, t), t.helper(
        "linked"
        /* HelperNameMap.LINKED */
      ), t.helper(
        "type"
        /* HelperNameMap.TYPE */
      );
      break;
    }
    case 5:
      t.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), t.helper(
        "list"
        /* HelperNameMap.LIST */
      );
      break;
    case 4:
      t.helper(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      ), t.helper(
        "named"
        /* HelperNameMap.NAMED */
      );
      break;
  }
}
function Or(e, t = {}) {
  const n = Tr(e);
  n.helper(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  ), e.body && Rt(e.body, n);
  const r = n.context();
  e.helpers = Array.from(r.helpers);
}
function gr(e) {
  const t = e.body;
  return t.type === 2 ? xt(t) : t.cases.forEach((n) => xt(n)), e;
}
function xt(e) {
  if (e.items.length === 1) {
    const t = e.items[0];
    (t.type === 3 || t.type === 9) && (e.static = t.value, delete t.value);
  } else {
    const t = [];
    for (let n = 0; n < e.items.length; n++) {
      const r = e.items[n];
      if (!(r.type === 3 || r.type === 9) || r.value == null)
        break;
      t.push(r.value);
    }
    if (t.length === e.items.length) {
      e.static = Dt(t);
      for (let n = 0; n < e.items.length; n++) {
        const r = e.items[n];
        (r.type === 3 || r.type === 9) && delete r.value;
      }
    }
  }
}
const Ir = "minifier";
function he(e) {
  switch (e.t = e.type, e.type) {
    case 0: {
      const t = e;
      he(t.body), t.b = t.body, delete t.body;
      break;
    }
    case 1: {
      const t = e, n = t.cases;
      for (let r = 0; r < n.length; r++)
        he(n[r]);
      t.c = n, delete t.cases;
      break;
    }
    case 2: {
      const t = e, n = t.items;
      for (let r = 0; r < n.length; r++)
        he(n[r]);
      t.i = n, delete t.items, t.static && (t.s = t.static, delete t.static);
      break;
    }
    case 3:
    case 9:
    case 8:
    case 7: {
      const t = e;
      t.value && (t.v = t.value, delete t.value);
      break;
    }
    case 6: {
      const t = e;
      he(t.key), t.k = t.key, delete t.key, t.modifier && (he(t.modifier), t.m = t.modifier, delete t.modifier);
      break;
    }
    case 5: {
      const t = e;
      t.i = t.index, delete t.index;
      break;
    }
    case 4: {
      const t = e;
      t.k = t.key, delete t.key;
      break;
    }
    default:
      if (process.env.NODE_ENV !== "production")
        throw be(P.UNHANDLED_MINIFIER_NODE_TYPE, null, {
          domain: Ir,
          args: [e.type]
        });
  }
  delete e.type;
}
const Ar = "parser";
function hr(e, t) {
  const { filename: n, breakLineCode: r, needIndent: a } = t, s = t.location !== !1, i = {
    filename: n,
    code: "",
    column: 1,
    line: 1,
    offset: 0,
    map: void 0,
    breakLineCode: r,
    needIndent: a,
    indentLevel: 0
  };
  s && e.loc && (i.source = e.loc.source);
  const u = () => i;
  function c(b, D) {
    i.code += b;
  }
  function p(b, D = !0) {
    const f = D ? r : "";
    c(a ? f + "  ".repeat(b) : f);
  }
  function g(b = !0) {
    const D = ++i.indentLevel;
    b && p(D);
  }
  function h(b = !0) {
    const D = --i.indentLevel;
    b && p(D);
  }
  function T() {
    p(i.indentLevel);
  }
  return {
    context: u,
    push: c,
    indent: g,
    deindent: h,
    newline: T,
    helper: (b) => `_${b}`,
    needIndent: () => i.needIndent
  };
}
function Cr(e, t) {
  const { helper: n } = e;
  e.push(`${n(
    "linked"
    /* HelperNameMap.LINKED */
  )}(`), Ce(e, t.key), t.modifier ? (e.push(", "), Ce(e, t.modifier), e.push(", _type")) : e.push(", undefined, _type"), e.push(")");
}
function br(e, t) {
  const { helper: n, needIndent: r } = e;
  e.push(`${n(
    "normalize"
    /* HelperNameMap.NORMALIZE */
  )}([`), e.indent(r());
  const a = t.items.length;
  for (let s = 0; s < a && (Ce(e, t.items[s]), s !== a - 1); s++)
    e.push(", ");
  e.deindent(r()), e.push("])");
}
function Sr(e, t) {
  const { helper: n, needIndent: r } = e;
  if (t.cases.length > 1) {
    e.push(`${n(
      "plural"
      /* HelperNameMap.PLURAL */
    )}([`), e.indent(r());
    const a = t.cases.length;
    for (let s = 0; s < a && (Ce(e, t.cases[s]), s !== a - 1); s++)
      e.push(", ");
    e.deindent(r()), e.push("])");
  }
}
function Dr(e, t) {
  t.body ? Ce(e, t.body) : e.push("null");
}
function Ce(e, t) {
  const { helper: n } = e;
  switch (t.type) {
    case 0:
      Dr(e, t);
      break;
    case 1:
      Sr(e, t);
      break;
    case 2:
      br(e, t);
      break;
    case 6:
      Cr(e, t);
      break;
    case 8:
      e.push(JSON.stringify(t.value), t);
      break;
    case 7:
      e.push(JSON.stringify(t.value), t);
      break;
    case 5:
      e.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "list"
        /* HelperNameMap.LIST */
      )}(${t.index}))`, t);
      break;
    case 4:
      e.push(`${n(
        "interpolate"
        /* HelperNameMap.INTERPOLATE */
      )}(${n(
        "named"
        /* HelperNameMap.NAMED */
      )}(${JSON.stringify(t.key)}))`, t);
      break;
    case 9:
      e.push(JSON.stringify(t.value), t);
      break;
    case 3:
      e.push(JSON.stringify(t.value), t);
      break;
    default:
      if (process.env.NODE_ENV !== "production")
        throw be(P.UNHANDLED_CODEGEN_NODE_TYPE, null, {
          domain: Ar,
          args: [t.type]
        });
  }
}
const Rr = (e, t = {}) => {
  const n = C(t.mode) ? t.mode : "normal", r = C(t.filename) ? t.filename : "message.intl";
  t.sourceMap;
  const a = t.breakLineCode != null ? t.breakLineCode : n === "arrow" ? ";" : `
`, s = t.needIndent ? t.needIndent : n !== "arrow", i = e.helpers || [], u = hr(e, {
    filename: r,
    breakLineCode: a,
    needIndent: s
  });
  u.push(n === "normal" ? "function __msg__ (ctx) {" : "(ctx) => {"), u.indent(s), i.length > 0 && (u.push(`const { ${Dt(i.map((g) => `${g}: _${g}`), ", ")} } = ctx`), u.newline()), u.push("return "), Ce(u, e), u.deindent(s), u.push("}"), delete e.helpers;
  const { code: c, map: p } = u.context();
  return {
    ast: e,
    code: c,
    map: p ? p.toJSON() : void 0
    // eslint-disable-line @typescript-eslint/no-explicit-any
  };
};
function Pr(e, t = {}) {
  const n = j({}, t), r = !!n.jit, a = !!n.minify, s = n.optimize == null ? !0 : n.optimize, u = Lr(n).parse(e);
  return r ? (s && gr(u), a && he(u), { ast: u, code: "" }) : (Or(u, n), Rr(u, n));
}
/*!
  * core-base v11.1.1
  * (c) 2025 kazuya kawaguchi
  * Released under the MIT License.
  */
function vr() {
  typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (pe().__INTLIFY_PROD_DEVTOOLS__ = !1), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (pe().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1);
}
function ft(e) {
  return (n) => yr(n, e);
}
function yr(e, t) {
  const n = Mr(t);
  if (n == null)
    throw ye(
      0
      /* NodeTypes.Resource */
    );
  if (Pt(n) === 1) {
    const s = Ur(n);
    return e.plural(s.reduce((i, u) => [
      ...i,
      Bt(e, u)
    ], []));
  } else
    return Bt(e, n);
}
const kr = ["b", "body"];
function Mr(e) {
  return _e(e, kr);
}
const Fr = ["c", "cases"];
function Ur(e) {
  return _e(e, Fr, []);
}
function Bt(e, t) {
  const n = Vr(t);
  if (n != null)
    return e.type === "text" ? n : e.normalize([n]);
  {
    const r = $r(t).reduce((a, s) => [...a, Et(e, s)], []);
    return e.normalize(r);
  }
}
const wr = ["s", "static"];
function Vr(e) {
  return _e(e, wr);
}
const Wr = ["i", "items"];
function $r(e) {
  return _e(e, Wr, []);
}
function Et(e, t) {
  const n = Pt(t);
  switch (n) {
    case 3:
      return We(t, n);
    case 9:
      return We(t, n);
    case 4: {
      const r = t;
      if (ne(r, "k") && r.k)
        return e.interpolate(e.named(r.k));
      if (ne(r, "key") && r.key)
        return e.interpolate(e.named(r.key));
      throw ye(n);
    }
    case 5: {
      const r = t;
      if (ne(r, "i") && X(r.i))
        return e.interpolate(e.list(r.i));
      if (ne(r, "index") && X(r.index))
        return e.interpolate(e.list(r.index));
      throw ye(n);
    }
    case 6: {
      const r = t, a = Hr(r), s = Br(r);
      return e.linked(Et(e, s), a ? Et(e, a) : void 0, e.type);
    }
    case 7:
      return We(t, n);
    case 8:
      return We(t, n);
    default:
      throw new Error(`unhandled node on format message part: ${n}`);
  }
}
const Yr = ["t", "type"];
function Pt(e) {
  return _e(e, Yr);
}
const Gr = ["v", "value"];
function We(e, t) {
  const n = _e(e, Gr);
  if (n)
    return n;
  throw ye(t);
}
const Kr = ["m", "modifier"];
function Hr(e) {
  return _e(e, Kr);
}
const xr = ["k", "key"];
function Br(e) {
  const t = _e(e, xr);
  if (t)
    return t;
  throw ye(
    6
    /* NodeTypes.Linked */
  );
}
function _e(e, t, n) {
  for (let r = 0; r < t.length; r++) {
    const a = t[r];
    if (ne(e, a) && e[a] != null)
      return e[a];
  }
  return n;
}
function ye(e) {
  return new Error(`unhandled node type: ${e}`);
}
const Xr = "Detected HTML in '{source}' message. Recommend not using HTML messages to avoid XSS.";
function jr(e, t) {
  t && lr(e) && fe(xe(Xr, { source: e }));
}
const Jr = (e) => e;
let $e = V();
function Te(e) {
  return F(e) && Pt(e) === 0 && (ne(e, "b") || ne(e, "body"));
}
function Qr(e, t = {}) {
  let n = !1;
  const r = t.onError || sr;
  return t.onError = (a) => {
    n = !0, r(a);
  }, { ...Pr(e, t), detectError: n };
}
// @__NO_SIDE_EFFECTS__
function qr(e, t) {
  if (!__INTLIFY_DROP_MESSAGE_COMPILER__ && C(e)) {
    const n = K(t.warnHtmlMessage) ? t.warnHtmlMessage : !0;
    process.env.NODE_ENV !== "production" && jr(e, n);
    const a = (t.onCacheKey || Jr)(e), s = $e[a];
    if (s)
      return s;
    const { ast: i, detectError: u } = Qr(e, {
      ...t,
      location: process.env.NODE_ENV !== "production",
      jit: !0
    }), c = ft(i);
    return u ? c : $e[a] = c;
  } else {
    if (process.env.NODE_ENV !== "production" && !Te(e))
      return fe(`the message that is resolve with key '${t.key}' is not supported for jit compilation`), () => e;
    const n = e.cacheKey;
    if (n) {
      const r = $e[n];
      return r || ($e[n] = ft(e));
    } else
      return ft(e);
  }
}
let ke = null;
function Zr(e) {
  ke = e;
}
function zr(e, t, n) {
  ke && ke.emit("i18n:init", {
    timestamp: Date.now(),
    i18n: e,
    version: t,
    meta: n
  });
}
const ea = /* @__PURE__ */ ta("function:translate");
function ta(e) {
  return (t) => ke && ke.emit(e, t);
}
const Q = {
  INVALID_ARGUMENT: rr,
  // 17
  INVALID_DATE_ARGUMENT: 18,
  INVALID_ISO_DATE_ARGUMENT: 19,
  NOT_SUPPORT_NON_STRING_MESSAGE: 20,
  NOT_SUPPORT_LOCALE_PROMISE_VALUE: 21,
  NOT_SUPPORT_LOCALE_ASYNC_FUNCTION: 22,
  NOT_SUPPORT_LOCALE_TYPE: 23
}, na = 24;
function oe(e) {
  return be(e, null, process.env.NODE_ENV !== "production" ? { messages: ra } : void 0);
}
const ra = {
  [Q.INVALID_ARGUMENT]: "Invalid arguments",
  [Q.INVALID_DATE_ARGUMENT]: "The date provided is an invalid Date object.Make sure your Date represents a valid date.",
  [Q.INVALID_ISO_DATE_ARGUMENT]: "The argument provided is not a valid ISO date string",
  [Q.NOT_SUPPORT_NON_STRING_MESSAGE]: "Not support non-string message",
  [Q.NOT_SUPPORT_LOCALE_PROMISE_VALUE]: "cannot support promise value",
  [Q.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION]: "cannot support async function",
  [Q.NOT_SUPPORT_LOCALE_TYPE]: "cannot support locale type"
};
function vt(e, t) {
  return t.locale != null ? Xt(t.locale) : Xt(e.locale);
}
let _t;
function Xt(e) {
  if (C(e))
    return e;
  if (W(e)) {
    if (e.resolvedOnce && _t != null)
      return _t;
    if (e.constructor.name === "Function") {
      const t = e();
      if (qn(t))
        throw oe(Q.NOT_SUPPORT_LOCALE_PROMISE_VALUE);
      return _t = t;
    } else
      throw oe(Q.NOT_SUPPORT_LOCALE_ASYNC_FUNCTION);
  } else
    throw oe(Q.NOT_SUPPORT_LOCALE_TYPE);
}
function aa(e, t, n) {
  return [.../* @__PURE__ */ new Set([
    n,
    ...B(t) ? t : F(t) ? Object.keys(t) : C(t) ? [t] : [n]
  ])];
}
function Ln(e, t, n) {
  const r = C(n) ? n : Ke, a = e;
  a.__localeChainCache || (a.__localeChainCache = /* @__PURE__ */ new Map());
  let s = a.__localeChainCache.get(r);
  if (!s) {
    s = [];
    let i = [n];
    for (; B(i); )
      i = jt(s, i, t);
    const u = B(t) || !M(t) ? t : t.default ? t.default : null;
    i = C(u) ? [u] : u, B(i) && jt(s, i, !1), a.__localeChainCache.set(r, s);
  }
  return s;
}
function jt(e, t, n) {
  let r = !0;
  for (let a = 0; a < t.length && K(r); a++) {
    const s = t[a];
    C(s) && (r = sa(e, t[a], n));
  }
  return r;
}
function sa(e, t, n) {
  let r;
  const a = t.split("-");
  do {
    const s = a.join("-");
    r = oa(e, s, n), a.splice(-1, 1);
  } while (a.length && r === !0);
  return r;
}
function oa(e, t, n) {
  let r = !1;
  if (!e.includes(t) && (r = !0, t)) {
    r = t[t.length - 1] !== "!";
    const a = t.replace(/!/g, "");
    e.push(a), (B(n) || M(n)) && n[a] && (r = n[a]);
  }
  return r;
}
const me = [];
me[
  0
  /* States.BEFORE_PATH */
] = {
  w: [
    0
    /* States.BEFORE_PATH */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
me[
  1
  /* States.IN_PATH */
] = {
  w: [
    1
    /* States.IN_PATH */
  ],
  ".": [
    2
    /* States.BEFORE_IDENT */
  ],
  "[": [
    4
    /* States.IN_SUB_PATH */
  ],
  o: [
    7
    /* States.AFTER_PATH */
  ]
};
me[
  2
  /* States.BEFORE_IDENT */
] = {
  w: [
    2
    /* States.BEFORE_IDENT */
  ],
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ]
};
me[
  3
  /* States.IN_IDENT */
] = {
  i: [
    3,
    0
    /* Actions.APPEND */
  ],
  0: [
    3,
    0
    /* Actions.APPEND */
  ],
  w: [
    1,
    1
    /* Actions.PUSH */
  ],
  ".": [
    2,
    1
    /* Actions.PUSH */
  ],
  "[": [
    4,
    1
    /* Actions.PUSH */
  ],
  o: [
    7,
    1
    /* Actions.PUSH */
  ]
};
me[
  4
  /* States.IN_SUB_PATH */
] = {
  "'": [
    5,
    0
    /* Actions.APPEND */
  ],
  '"': [
    6,
    0
    /* Actions.APPEND */
  ],
  "[": [
    4,
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ],
  "]": [
    1,
    3
    /* Actions.PUSH_SUB_PATH */
  ],
  o: 8,
  l: [
    4,
    0
    /* Actions.APPEND */
  ]
};
me[
  5
  /* States.IN_SINGLE_QUOTE */
] = {
  "'": [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    5,
    0
    /* Actions.APPEND */
  ]
};
me[
  6
  /* States.IN_DOUBLE_QUOTE */
] = {
  '"': [
    4,
    0
    /* Actions.APPEND */
  ],
  o: 8,
  l: [
    6,
    0
    /* Actions.APPEND */
  ]
};
const la = /^\s?(?:true|false|-?[\d.]+|'[^']*'|"[^"]*")\s?$/;
function ia(e) {
  return la.test(e);
}
function ca(e) {
  const t = e.charCodeAt(0), n = e.charCodeAt(e.length - 1);
  return t === n && (t === 34 || t === 39) ? e.slice(1, -1) : e;
}
function ua(e) {
  if (e == null)
    return "o";
  switch (e.charCodeAt(0)) {
    case 91:
    case 93:
    case 46:
    case 34:
    case 39:
      return e;
    case 95:
    case 36:
    case 45:
      return "i";
    case 9:
    case 10:
    case 13:
    case 160:
    case 65279:
    case 8232:
    case 8233:
      return "w";
  }
  return "i";
}
function fa(e) {
  const t = e.trim();
  return e.charAt(0) === "0" && isNaN(parseInt(e)) ? !1 : ia(t) ? ca(t) : "*" + t;
}
function _a(e) {
  const t = [];
  let n = -1, r = 0, a = 0, s, i, u, c, p, g, h;
  const T = [];
  T[
    0
    /* Actions.APPEND */
  ] = () => {
    i === void 0 ? i = u : i += u;
  }, T[
    1
    /* Actions.PUSH */
  ] = () => {
    i !== void 0 && (t.push(i), i = void 0);
  }, T[
    2
    /* Actions.INC_SUB_PATH_DEPTH */
  ] = () => {
    T[
      0
      /* Actions.APPEND */
    ](), a++;
  }, T[
    3
    /* Actions.PUSH_SUB_PATH */
  ] = () => {
    if (a > 0)
      a--, r = 4, T[
        0
        /* Actions.APPEND */
      ]();
    else {
      if (a = 0, i === void 0 || (i = fa(i), i === !1))
        return !1;
      T[
        1
        /* Actions.PUSH */
      ]();
    }
  };
  function S() {
    const v = e[n + 1];
    if (r === 5 && v === "'" || r === 6 && v === '"')
      return n++, u = "\\" + v, T[
        0
        /* Actions.APPEND */
      ](), !0;
  }
  for (; r !== null; )
    if (n++, s = e[n], !(s === "\\" && S())) {
      if (c = ua(s), h = me[r], p = h[c] || h.l || 8, p === 8 || (r = p[0], p[1] !== void 0 && (g = T[p[1]], g && (u = s, g() === !1))))
        return;
      if (r === 7)
        return t;
    }
}
const Jt = /* @__PURE__ */ new Map();
function ma(e, t) {
  return F(e) ? e[t] : null;
}
function da(e, t) {
  if (!F(e))
    return null;
  let n = Jt.get(t);
  if (n || (n = _a(t), n && Jt.set(t, n)), !n)
    return null;
  const r = n.length;
  let a = e, s = 0;
  for (; s < r; ) {
    const i = a[n[s]];
    if (i === void 0 || W(a))
      return null;
    a = i, s++;
  }
  return a;
}
const Z = {
  NOT_FOUND_KEY: 1,
  FALLBACK_TO_TRANSLATE: 2,
  CANNOT_FORMAT_NUMBER: 3,
  FALLBACK_TO_NUMBER_FORMAT: 4,
  CANNOT_FORMAT_DATE: 5,
  FALLBACK_TO_DATE_FORMAT: 6,
  EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER: 7
}, Ea = 8, Na = {
  [Z.NOT_FOUND_KEY]: "Not found '{key}' key in '{locale}' locale messages.",
  [Z.FALLBACK_TO_TRANSLATE]: "Fall back to translate '{key}' key with '{target}' locale.",
  [Z.CANNOT_FORMAT_NUMBER]: "Cannot format a number value due to not supported Intl.NumberFormat.",
  [Z.FALLBACK_TO_NUMBER_FORMAT]: "Fall back to number format '{key}' key with '{target}' locale.",
  [Z.CANNOT_FORMAT_DATE]: "Cannot format a date value due to not supported Intl.DateTimeFormat.",
  [Z.FALLBACK_TO_DATE_FORMAT]: "Fall back to datetime format '{key}' key with '{target}' locale.",
  [Z.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER]: "This project is using Custom Message Compiler, which is an experimental feature. It may receive breaking changes or be removed in the future."
};
function Oe(e, ...t) {
  return xe(Na[e], ...t);
}
const pa = "11.1.1", Xe = -1, Ke = "en-US", He = "", Qt = (e) => `${e.charAt(0).toLocaleUpperCase()}${e.substr(1)}`;
function La() {
  return {
    upper: (e, t) => t === "text" && C(e) ? e.toUpperCase() : t === "vnode" && F(e) && "__v_isVNode" in e ? e.children.toUpperCase() : e,
    lower: (e, t) => t === "text" && C(e) ? e.toLowerCase() : t === "vnode" && F(e) && "__v_isVNode" in e ? e.children.toLowerCase() : e,
    capitalize: (e, t) => t === "text" && C(e) ? Qt(e) : t === "vnode" && F(e) && "__v_isVNode" in e ? Qt(e.children) : e
  };
}
let Tn;
function Ta(e) {
  Tn = e;
}
let On;
function Oa(e) {
  On = e;
}
let gn;
function ga(e) {
  gn = e;
}
let In = null;
const Ia = /* @__NO_SIDE_EFFECTS__ */ (e) => {
  In = e;
}, Aa = /* @__NO_SIDE_EFFECTS__ */ () => In;
let An = null;
const qt = (e) => {
  An = e;
}, ha = () => An;
let Zt = 0;
function Ca(e = {}) {
  const t = W(e.onWarn) ? e.onWarn : fe, n = C(e.version) ? e.version : pa, r = C(e.locale) || W(e.locale) ? e.locale : Ke, a = W(r) ? Ke : r, s = B(e.fallbackLocale) || M(e.fallbackLocale) || C(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : a, i = M(e.messages) ? e.messages : mt(a), u = M(e.datetimeFormats) ? e.datetimeFormats : mt(a), c = M(e.numberFormats) ? e.numberFormats : mt(a), p = j(V(), e.modifiers, La()), g = e.pluralRules || V(), h = W(e.missing) ? e.missing : null, T = K(e.missingWarn) || Ge(e.missingWarn) ? e.missingWarn : !0, S = K(e.fallbackWarn) || Ge(e.fallbackWarn) ? e.fallbackWarn : !0, v = !!e.fallbackFormat, b = !!e.unresolving, D = W(e.postTranslation) ? e.postTranslation : null, f = M(e.processor) ? e.processor : null, m = K(e.warnHtmlMessage) ? e.warnHtmlMessage : !0, O = !!e.escapeParameter, d = W(e.messageCompiler) ? e.messageCompiler : Tn;
  process.env.NODE_ENV !== "production" && W(e.messageCompiler) && er(Oe(Z.EXPERIMENTAL_CUSTOM_MESSAGE_COMPILER));
  const I = W(e.messageResolver) ? e.messageResolver : On || ma, A = W(e.localeFallbacker) ? e.localeFallbacker : gn || aa, N = F(e.fallbackContext) ? e.fallbackContext : void 0, y = e, w = F(y.__datetimeFormatters) ? y.__datetimeFormatters : /* @__PURE__ */ new Map(), H = F(y.__numberFormatters) ? y.__numberFormatters : /* @__PURE__ */ new Map(), te = F(y.__meta) ? y.__meta : {};
  Zt++;
  const x = {
    version: n,
    cid: Zt,
    locale: r,
    fallbackLocale: s,
    messages: i,
    modifiers: p,
    pluralRules: g,
    missing: h,
    missingWarn: T,
    fallbackWarn: S,
    fallbackFormat: v,
    unresolving: b,
    postTranslation: D,
    processor: f,
    warnHtmlMessage: m,
    escapeParameter: O,
    messageCompiler: d,
    messageResolver: I,
    localeFallbacker: A,
    fallbackContext: N,
    onWarn: t,
    __meta: te
  };
  return x.datetimeFormats = u, x.numberFormats = c, x.__datetimeFormatters = w, x.__numberFormatters = H, process.env.NODE_ENV !== "production" && (x.__v_emitter = y.__v_emitter != null ? y.__v_emitter : void 0), (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) && zr(x, n, te), x;
}
const mt = (e) => ({ [e]: V() });
function je(e, t) {
  return e instanceof RegExp ? e.test(t) : e;
}
function hn(e, t) {
  return e instanceof RegExp ? e.test(t) : e;
}
function yt(e, t, n, r, a) {
  const { missing: s, onWarn: i } = e;
  if (process.env.NODE_ENV !== "production") {
    const u = e.__v_emitter;
    u && u.emit("missing", {
      locale: n,
      key: t,
      type: a,
      groupId: `${a}:${t}`
    });
  }
  if (s !== null) {
    const u = s(e, n, t, a);
    return C(u) ? u : t;
  } else
    return process.env.NODE_ENV !== "production" && hn(r, t) && i(Oe(Z.NOT_FOUND_KEY, { key: t, locale: n })), t;
}
function ve(e, t, n) {
  const r = e;
  r.__localeChainCache = /* @__PURE__ */ new Map(), e.localeFallbacker(e, n, t);
}
function Cn(e, t) {
  return e === t ? !1 : e.split("-")[0] === t.split("-")[0];
}
function ba(e, t) {
  const n = t.indexOf(e);
  if (n === -1)
    return !1;
  for (let r = n + 1; r < t.length; r++)
    if (Cn(e, t[r]))
      return !0;
  return !1;
}
const zt = typeof Intl < "u", bn = {
  dateTimeFormat: zt && typeof Intl.DateTimeFormat < "u",
  numberFormat: zt && typeof Intl.NumberFormat < "u"
};
function en(e, ...t) {
  const { datetimeFormats: n, unresolving: r, fallbackLocale: a, onWarn: s, localeFallbacker: i } = e, { __datetimeFormatters: u } = e;
  if (process.env.NODE_ENV !== "production" && !bn.dateTimeFormat)
    return s(Oe(Z.CANNOT_FORMAT_DATE)), He;
  const [c, p, g, h] = Nt(...t), T = K(g.missingWarn) ? g.missingWarn : e.missingWarn, S = K(g.fallbackWarn) ? g.fallbackWarn : e.fallbackWarn, v = !!g.part, b = vt(e, g), D = i(
    e,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    a,
    b
  );
  if (!C(c) || c === "")
    return new Intl.DateTimeFormat(b, h).format(p);
  let f = {}, m, O = null, d = b, I = null;
  const A = "datetime format";
  for (let w = 0; w < D.length; w++) {
    if (m = I = D[w], process.env.NODE_ENV !== "production" && b !== m && je(S, c) && s(Oe(Z.FALLBACK_TO_DATE_FORMAT, {
      key: c,
      target: m
    })), process.env.NODE_ENV !== "production" && b !== m) {
      const H = e.__v_emitter;
      H && H.emit("fallback", {
        type: A,
        key: c,
        from: d,
        to: I,
        groupId: `${A}:${c}`
      });
    }
    if (f = n[m] || {}, O = f[c], M(O))
      break;
    yt(e, c, m, T, A), d = I;
  }
  if (!M(O) || !C(m))
    return r ? Xe : c;
  let N = `${m}__${c}`;
  Be(h) || (N = `${N}__${JSON.stringify(h)}`);
  let y = u.get(N);
  return y || (y = new Intl.DateTimeFormat(m, j({}, O, h)), u.set(N, y)), v ? y.formatToParts(p) : y.format(p);
}
const Sn = [
  "localeMatcher",
  "weekday",
  "era",
  "year",
  "month",
  "day",
  "hour",
  "minute",
  "second",
  "timeZoneName",
  "formatMatcher",
  "hour12",
  "timeZone",
  "dateStyle",
  "timeStyle",
  "calendar",
  "dayPeriod",
  "numberingSystem",
  "hourCycle",
  "fractionalSecondDigits"
];
function Nt(...e) {
  const [t, n, r, a] = e, s = V();
  let i = V(), u;
  if (C(t)) {
    const c = t.match(/(\d{4}-\d{2}-\d{2})(T|\s)?(.*)/);
    if (!c)
      throw oe(Q.INVALID_ISO_DATE_ARGUMENT);
    const p = c[3] ? c[3].trim().startsWith("T") ? `${c[1].trim()}${c[3].trim()}` : `${c[1].trim()}T${c[3].trim()}` : c[1].trim();
    u = new Date(p);
    try {
      u.toISOString();
    } catch {
      throw oe(Q.INVALID_ISO_DATE_ARGUMENT);
    }
  } else if (jn(t)) {
    if (isNaN(t.getTime()))
      throw oe(Q.INVALID_DATE_ARGUMENT);
    u = t;
  } else if (X(t))
    u = t;
  else
    throw oe(Q.INVALID_ARGUMENT);
  return C(n) ? s.key = n : M(n) && Object.keys(n).forEach((c) => {
    Sn.includes(c) ? i[c] = n[c] : s[c] = n[c];
  }), C(r) ? s.locale = r : M(r) && (i = r), M(a) && (i = a), [s.key || "", u, s, i];
}
function tn(e, t, n) {
  const r = e;
  for (const a in n) {
    const s = `${t}__${a}`;
    r.__datetimeFormatters.has(s) && r.__datetimeFormatters.delete(s);
  }
}
function nn(e, ...t) {
  const { numberFormats: n, unresolving: r, fallbackLocale: a, onWarn: s, localeFallbacker: i } = e, { __numberFormatters: u } = e;
  if (process.env.NODE_ENV !== "production" && !bn.numberFormat)
    return s(Oe(Z.CANNOT_FORMAT_NUMBER)), He;
  const [c, p, g, h] = pt(...t), T = K(g.missingWarn) ? g.missingWarn : e.missingWarn, S = K(g.fallbackWarn) ? g.fallbackWarn : e.fallbackWarn, v = !!g.part, b = vt(e, g), D = i(
    e,
    // eslint-disable-line @typescript-eslint/no-explicit-any
    a,
    b
  );
  if (!C(c) || c === "")
    return new Intl.NumberFormat(b, h).format(p);
  let f = {}, m, O = null, d = b, I = null;
  const A = "number format";
  for (let w = 0; w < D.length; w++) {
    if (m = I = D[w], process.env.NODE_ENV !== "production" && b !== m && je(S, c) && s(Oe(Z.FALLBACK_TO_NUMBER_FORMAT, {
      key: c,
      target: m
    })), process.env.NODE_ENV !== "production" && b !== m) {
      const H = e.__v_emitter;
      H && H.emit("fallback", {
        type: A,
        key: c,
        from: d,
        to: I,
        groupId: `${A}:${c}`
      });
    }
    if (f = n[m] || {}, O = f[c], M(O))
      break;
    yt(e, c, m, T, A), d = I;
  }
  if (!M(O) || !C(m))
    return r ? Xe : c;
  let N = `${m}__${c}`;
  Be(h) || (N = `${N}__${JSON.stringify(h)}`);
  let y = u.get(N);
  return y || (y = new Intl.NumberFormat(m, j({}, O, h)), u.set(N, y)), v ? y.formatToParts(p) : y.format(p);
}
const Dn = [
  "localeMatcher",
  "style",
  "currency",
  "currencyDisplay",
  "currencySign",
  "useGrouping",
  "minimumIntegerDigits",
  "minimumFractionDigits",
  "maximumFractionDigits",
  "minimumSignificantDigits",
  "maximumSignificantDigits",
  "compactDisplay",
  "notation",
  "signDisplay",
  "unit",
  "unitDisplay",
  "roundingMode",
  "roundingPriority",
  "roundingIncrement",
  "trailingZeroDisplay"
];
function pt(...e) {
  const [t, n, r, a] = e, s = V();
  let i = V();
  if (!X(t))
    throw oe(Q.INVALID_ARGUMENT);
  const u = t;
  return C(n) ? s.key = n : M(n) && Object.keys(n).forEach((c) => {
    Dn.includes(c) ? i[c] = n[c] : s[c] = n[c];
  }), C(r) ? s.locale = r : M(r) && (i = r), M(a) && (i = a), [s.key || "", u, s, i];
}
function rn(e, t, n) {
  const r = e;
  for (const a in n) {
    const s = `${t}__${a}`;
    r.__numberFormatters.has(s) && r.__numberFormatters.delete(s);
  }
}
const Sa = (e) => e, Da = (e) => "", Ra = "text", Pa = (e) => e.length === 0 ? "" : Dt(e), va = Zn;
function an(e, t) {
  return e = Math.abs(e), t === 2 ? e ? e > 1 ? 1 : 0 : 1 : e ? Math.min(e, 2) : 0;
}
function ya(e) {
  const t = X(e.pluralIndex) ? e.pluralIndex : -1;
  return e.named && (X(e.named.count) || X(e.named.n)) ? X(e.named.count) ? e.named.count : X(e.named.n) ? e.named.n : t : t;
}
function ka(e, t) {
  t.count || (t.count = e), t.n || (t.n = e);
}
function Ma(e = {}) {
  const t = e.locale, n = ya(e), r = F(e.pluralRules) && C(t) && W(e.pluralRules[t]) ? e.pluralRules[t] : an, a = F(e.pluralRules) && C(t) && W(e.pluralRules[t]) ? an : void 0, s = (f) => f[r(n, f.length, a)], i = e.list || [], u = (f) => i[f], c = e.named || V();
  X(e.pluralIndex) && ka(n, c);
  const p = (f) => c[f];
  function g(f, m) {
    const O = W(e.messages) ? e.messages(f, !!m) : F(e.messages) ? e.messages[f] : !1;
    return O || (e.parent ? e.parent.message(f) : Da);
  }
  const h = (f) => e.modifiers ? e.modifiers[f] : Sa, T = M(e.processor) && W(e.processor.normalize) ? e.processor.normalize : Pa, S = M(e.processor) && W(e.processor.interpolate) ? e.processor.interpolate : va, v = M(e.processor) && C(e.processor.type) ? e.processor.type : Ra, D = {
    list: u,
    named: p,
    plural: s,
    linked: (f, ...m) => {
      const [O, d] = m;
      let I = "text", A = "";
      m.length === 1 ? F(O) ? (A = O.modifier || A, I = O.type || I) : C(O) && (A = O || A) : m.length === 2 && (C(O) && (A = O || A), C(d) && (I = d || I));
      const N = g(f, !0)(D), y = (
        // The message in vnode resolved with linked are returned as an array by processor.nomalize
        I === "vnode" && B(N) && A ? N[0] : N
      );
      return A ? h(A)(y, I) : y;
    },
    message: g,
    type: v,
    interpolate: S,
    normalize: T,
    values: j(V(), i, c)
  };
  return D;
}
const sn = () => "", ee = (e) => W(e);
function on(e, ...t) {
  const { fallbackFormat: n, postTranslation: r, unresolving: a, messageCompiler: s, fallbackLocale: i, messages: u } = e, [c, p] = Lt(...t), g = K(p.missingWarn) ? p.missingWarn : e.missingWarn, h = K(p.fallbackWarn) ? p.fallbackWarn : e.fallbackWarn, T = K(p.escapeParameter) ? p.escapeParameter : e.escapeParameter, S = !!p.resolvedMessage, v = C(p.default) || K(p.default) ? K(p.default) ? s ? c : () => c : p.default : n ? s ? c : () => c : null, b = n || v != null && (C(v) || W(v)), D = vt(e, p);
  T && Fa(p);
  let [f, m, O] = S ? [
    c,
    D,
    u[D] || V()
  ] : Rn(e, c, D, i, h, g), d = f, I = c;
  if (!S && !(C(d) || Te(d) || ee(d)) && b && (d = v, I = d), !S && (!(C(d) || Te(d) || ee(d)) || !C(m)))
    return a ? Xe : c;
  if (process.env.NODE_ENV !== "production" && C(d) && e.messageCompiler == null)
    return fe(`The message format compilation is not supported in this build. Because message compiler isn't included. You need to pre-compilation all message format. So translate function return '${c}'.`), c;
  let A = !1;
  const N = () => {
    A = !0;
  }, y = ee(d) ? d : Pn(e, c, m, d, I, N);
  if (A)
    return d;
  const w = Wa(e, m, O, p), H = Ma(w), te = Ua(e, y, H), x = r ? r(te, c) : te;
  if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
    const ge = {
      timestamp: Date.now(),
      key: C(c) ? c : ee(d) ? d.key : "",
      locale: m || (ee(d) ? d.locale : ""),
      format: C(d) ? d : ee(d) ? d.source : "",
      message: x
    };
    ge.meta = j({}, e.__meta, /* @__PURE__ */ Aa() || {}), ea(ge);
  }
  return x;
}
function Fa(e) {
  B(e.list) ? e.list = e.list.map((t) => C(t) ? $t(t) : t) : F(e.named) && Object.keys(e.named).forEach((t) => {
    C(e.named[t]) && (e.named[t] = $t(e.named[t]));
  });
}
function Rn(e, t, n, r, a, s) {
  const { messages: i, onWarn: u, messageResolver: c, localeFallbacker: p } = e, g = p(e, r, n);
  let h = V(), T, S = null, v = n, b = null;
  const D = "translate";
  for (let f = 0; f < g.length; f++) {
    if (T = b = g[f], process.env.NODE_ENV !== "production" && n !== T && !Cn(n, T) && je(a, t) && u(Oe(Z.FALLBACK_TO_TRANSLATE, {
      key: t,
      target: T
    })), process.env.NODE_ENV !== "production" && n !== T) {
      const I = e.__v_emitter;
      I && I.emit("fallback", {
        type: D,
        key: t,
        from: v,
        to: b,
        groupId: `${D}:${t}`
      });
    }
    h = i[T] || V();
    let m = null, O, d;
    if (process.env.NODE_ENV !== "production" && le && (m = window.performance.now(), O = "intlify-message-resolve-start", d = "intlify-message-resolve-end", z && z(O)), (S = c(h, t)) === null && (S = h[t]), process.env.NODE_ENV !== "production" && le) {
      const I = window.performance.now(), A = e.__v_emitter;
      A && m && S && A.emit("message-resolve", {
        type: "message-resolve",
        key: t,
        message: S,
        time: I - m,
        groupId: `${D}:${t}`
      }), O && d && z && Le && (z(d), Le("intlify message resolve", O, d));
    }
    if (C(S) || Te(S) || ee(S))
      break;
    if (!ba(T, g)) {
      const I = yt(
        e,
        // eslint-disable-line @typescript-eslint/no-explicit-any
        t,
        T,
        s,
        D
      );
      I !== t && (S = I);
    }
    v = b;
  }
  return [S, T, h];
}
function Pn(e, t, n, r, a, s) {
  const { messageCompiler: i, warnHtmlMessage: u } = e;
  if (ee(r)) {
    const T = r;
    return T.locale = T.locale || n, T.key = T.key || t, T;
  }
  if (i == null) {
    const T = () => r;
    return T.locale = n, T.key = t, T;
  }
  let c = null, p, g;
  process.env.NODE_ENV !== "production" && le && (c = window.performance.now(), p = "intlify-message-compilation-start", g = "intlify-message-compilation-end", z && z(p));
  const h = i(r, wa(e, n, a, r, u, s));
  if (process.env.NODE_ENV !== "production" && le) {
    const T = window.performance.now(), S = e.__v_emitter;
    S && c && S.emit("message-compilation", {
      type: "message-compilation",
      message: r,
      time: T - c,
      groupId: `translate:${t}`
    }), p && g && z && Le && (z(g), Le("intlify message compilation", p, g));
  }
  return h.locale = n, h.key = t, h.source = r, h;
}
function Ua(e, t, n) {
  let r = null, a, s;
  process.env.NODE_ENV !== "production" && le && (r = window.performance.now(), a = "intlify-message-evaluation-start", s = "intlify-message-evaluation-end", z && z(a));
  const i = t(n);
  if (process.env.NODE_ENV !== "production" && le) {
    const u = window.performance.now(), c = e.__v_emitter;
    c && r && c.emit("message-evaluation", {
      type: "message-evaluation",
      value: i,
      time: u - r,
      groupId: `translate:${t.key}`
    }), a && s && z && Le && (z(s), Le("intlify message evaluation", a, s));
  }
  return i;
}
function Lt(...e) {
  const [t, n, r] = e, a = V();
  if (!C(t) && !X(t) && !ee(t) && !Te(t))
    throw oe(Q.INVALID_ARGUMENT);
  const s = X(t) ? String(t) : (ee(t), t);
  return X(n) ? a.plural = n : C(n) ? a.default = n : M(n) && !Be(n) ? a.named = n : B(n) && (a.list = n), X(r) ? a.plural = r : C(r) ? a.default = r : M(r) && j(a, r), [s, a];
}
function wa(e, t, n, r, a, s) {
  return {
    locale: t,
    key: n,
    warnHtmlMessage: a,
    onError: (i) => {
      if (s && s(i), process.env.NODE_ENV !== "production") {
        const u = Va(r), c = `Message compilation error: ${i.message}`, p = i.location && u && zn(u, i.location.start.offset, i.location.end.offset), g = e.__v_emitter;
        g && u && g.emit("compile-error", {
          message: u,
          error: i.message,
          start: i.location && i.location.start.offset,
          end: i.location && i.location.end.offset,
          groupId: `translate:${n}`
        }), console.error(p ? `${c}
${p}` : c);
      } else
        throw i;
    },
    onCacheKey: (i) => Bn(t, n, i)
  };
}
function Va(e) {
  if (C(e))
    return e;
  if (e.loc && e.loc.source)
    return e.loc.source;
}
function Wa(e, t, n, r) {
  const { modifiers: a, pluralRules: s, messageResolver: i, fallbackLocale: u, fallbackWarn: c, missingWarn: p, fallbackContext: g } = e, T = {
    locale: t,
    modifiers: a,
    pluralRules: s,
    messages: (S, v) => {
      let b = i(n, S);
      if (b == null && (g || v)) {
        const [, , D] = Rn(
          g || e,
          // NOTE: if has fallbackContext, fallback to root, else if use linked, fallback to local context
          S,
          t,
          u,
          c,
          p
        );
        b = i(D, S);
      }
      if (C(b) || Te(b)) {
        let D = !1;
        const m = Pn(e, S, t, b, S, () => {
          D = !0;
        });
        return D ? sn : m;
      } else return ee(b) ? b : sn;
    }
  };
  return e.processor && (T.processor = e.processor), r.list && (T.list = r.list), r.named && (T.named = r.named), X(r.plural) && (T.pluralIndex = r.plural), T;
}
vr();
/*!
  * vue-i18n v11.1.1
  * (c) 2025 kazuya kawaguchi
  * Released under the MIT License.
  */
const $a = "11.1.1";
function Ya() {
  typeof __VUE_I18N_FULL_INSTALL__ != "boolean" && (pe().__VUE_I18N_FULL_INSTALL__ = !0), typeof __VUE_I18N_LEGACY_API__ != "boolean" && (pe().__VUE_I18N_LEGACY_API__ = !0), typeof __INTLIFY_DROP_MESSAGE_COMPILER__ != "boolean" && (pe().__INTLIFY_DROP_MESSAGE_COMPILER__ = !1), typeof __INTLIFY_PROD_DEVTOOLS__ != "boolean" && (pe().__INTLIFY_PROD_DEVTOOLS__ = !1);
}
const J = {
  // composer module errors
  UNEXPECTED_RETURN_TYPE: na,
  // 24
  // legacy module errors
  INVALID_ARGUMENT: 25,
  // i18n module errors
  MUST_BE_CALL_SETUP_TOP: 26,
  NOT_INSTALLED: 27,
  // directive module errors
  REQUIRED_VALUE: 28,
  INVALID_VALUE: 29,
  // vue-devtools errors
  CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN: 30,
  NOT_INSTALLED_WITH_PROVIDE: 31,
  // unexpected error
  UNEXPECTED_ERROR: 32,
  // not compatible legacy vue-i18n constructor
  NOT_COMPATIBLE_LEGACY_VUE_I18N: 33,
  // Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly
  NOT_AVAILABLE_COMPOSITION_IN_LEGACY: 34
};
function Me(e, ...t) {
  return be(e, null, process.env.NODE_ENV !== "production" ? { messages: Ga, args: t } : void 0);
}
const Ga = {
  [J.UNEXPECTED_RETURN_TYPE]: "Unexpected return type in composer",
  [J.INVALID_ARGUMENT]: "Invalid argument",
  [J.MUST_BE_CALL_SETUP_TOP]: "Must be called at the top of a `setup` function",
  [J.NOT_INSTALLED]: "Need to install with `app.use` function",
  [J.UNEXPECTED_ERROR]: "Unexpected error",
  [J.REQUIRED_VALUE]: "Required in value: {0}",
  [J.INVALID_VALUE]: "Invalid value",
  [J.CANNOT_SETUP_VUE_DEVTOOLS_PLUGIN]: "Cannot setup vue-devtools plugin",
  [J.NOT_INSTALLED_WITH_PROVIDE]: "Need to install with `provide` function",
  [J.NOT_COMPATIBLE_LEGACY_VUE_I18N]: "Not compatible legacy VueI18n.",
  [J.NOT_AVAILABLE_COMPOSITION_IN_LEGACY]: "Not available Compostion API in Legacy API mode. Please make sure that the legacy API mode is working properly"
}, Tt = /* @__PURE__ */ ie("__translateVNode"), Ot = /* @__PURE__ */ ie("__datetimeParts"), gt = /* @__PURE__ */ ie("__numberParts"), It = /* @__PURE__ */ ie("__enableEmitter"), At = /* @__PURE__ */ ie("__disableEmitter"), Ka = ie("__setPluralRules"), vn = /* @__PURE__ */ ie("__injectWithOption"), ht = /* @__PURE__ */ ie("__dispose"), ue = {
  FALLBACK_TO_ROOT: Ea,
  // 8
  NOT_FOUND_PARENT_SCOPE: 9,
  IGNORE_OBJ_FLATTEN: 10,
  /**
   * @deprecated will be removed at vue-i18n v12
   */
  DEPRECATE_LEGACY_MODE: 11,
  /**
   * @deprecated will be removed at vue-i18n v12
   */
  DEPRECATE_TRANSLATE_CUSTOME_DIRECTIVE: 12
}, Ha = {
  [ue.FALLBACK_TO_ROOT]: "Fall back to {type} '{key}' with root locale.",
  [ue.NOT_FOUND_PARENT_SCOPE]: "Not found parent scope. use the global scope.",
  [ue.IGNORE_OBJ_FLATTEN]: "Ignore object flatten: '{key}' key has an string value",
  /**
   * @deprecated will be removed at vue-i18n v12
   */
  [ue.DEPRECATE_LEGACY_MODE]: `Legacy API mode has been deprecated in v11. Use Composition API mode instead.
About how to use the Composition API mode, see https://vue-i18n.intlify.dev/guide/advanced/composition.html`,
  /**
   * @deprecated will be removed at vue-i18n v12
   */
  [ue.DEPRECATE_TRANSLATE_CUSTOME_DIRECTIVE]: "'v-t' has been deprecated in v11. Use translate APIs ('t' or '$t') instead."
};
function kt(e, ...t) {
  return xe(Ha[e], ...t);
}
function Fe(e) {
  if (!F(e))
    return e;
  for (const t in e)
    if (ne(e, t))
      if (!t.includes("."))
        F(e[t]) && Fe(e[t]);
      else {
        const n = t.split("."), r = n.length - 1;
        let a = e, s = !1;
        for (let i = 0; i < r; i++) {
          if (n[i] in a || (a[n[i]] = V()), !F(a[n[i]])) {
            process.env.NODE_ENV !== "production" && fe(kt(ue.IGNORE_OBJ_FLATTEN, {
              key: n[i]
            })), s = !0;
            break;
          }
          a = a[n[i]];
        }
        s || (a[n[r]] = e[t], delete e[t]), F(a[n[r]]) && Fe(a[n[r]]);
      }
  return e;
}
function yn(e, t) {
  const { messages: n, __i18n: r, messageResolver: a, flatJson: s } = t, i = M(n) ? n : B(r) ? V() : { [e]: V() };
  if (B(r) && r.forEach((u) => {
    if ("locale" in u && "resource" in u) {
      const { locale: c, resource: p } = u;
      c ? (i[c] = i[c] || V(), Ye(p, i[c])) : Ye(p, i);
    } else
      C(u) && Ye(JSON.parse(u), i);
  }), a == null && s)
    for (const u in i)
      ne(i, u) && Fe(i[u]);
  return i;
}
function kn(e) {
  return e.type;
}
function xa(e, t, n) {
  let r = F(t.messages) ? t.messages : V();
  "__i18nGlobal" in n && (r = yn(e.locale.value, {
    messages: r,
    __i18n: n.__i18nGlobal
  }));
  const a = Object.keys(r);
  a.length && a.forEach((s) => {
    e.mergeLocaleMessage(s, r[s]);
  });
  {
    if (F(t.datetimeFormats)) {
      const s = Object.keys(t.datetimeFormats);
      s.length && s.forEach((i) => {
        e.mergeDateTimeFormat(i, t.datetimeFormats[i]);
      });
    }
    if (F(t.numberFormats)) {
      const s = Object.keys(t.numberFormats);
      s.length && s.forEach((i) => {
        e.mergeNumberFormat(i, t.numberFormats[i]);
      });
    }
  }
}
function ln(e) {
  return Gn(Kn, null, e, 0);
}
const cn = "__INTLIFY_META__", un = () => [], Ba = () => !1;
let fn = 0;
function _n(e) {
  return (t, n, r, a) => e(n, r, Ct() || void 0, a);
}
const Xa = /* @__NO_SIDE_EFFECTS__ */ () => {
  const e = Ct();
  let t = null;
  return e && (t = kn(e)[cn]) ? { [cn]: t } : null;
};
function ja(e = {}) {
  const { __root: t, __injectWithOption: n } = e, r = t === void 0, a = e.flatJson, s = le ? dn : Wn;
  let i = K(e.inheritLocale) ? e.inheritLocale : !0;
  const u = s(
    // prettier-ignore
    t && i ? t.locale.value : C(e.locale) ? e.locale : Ke
  ), c = s(
    // prettier-ignore
    t && i ? t.fallbackLocale.value : C(e.fallbackLocale) || B(e.fallbackLocale) || M(e.fallbackLocale) || e.fallbackLocale === !1 ? e.fallbackLocale : u.value
  ), p = s(yn(u.value, e)), g = s(M(e.datetimeFormats) ? e.datetimeFormats : { [u.value]: {} }), h = s(M(e.numberFormats) ? e.numberFormats : { [u.value]: {} });
  let T = t ? t.missingWarn : K(e.missingWarn) || Ge(e.missingWarn) ? e.missingWarn : !0, S = t ? t.fallbackWarn : K(e.fallbackWarn) || Ge(e.fallbackWarn) ? e.fallbackWarn : !0, v = t ? t.fallbackRoot : K(e.fallbackRoot) ? e.fallbackRoot : !0, b = !!e.fallbackFormat, D = W(e.missing) ? e.missing : null, f = W(e.missing) ? _n(e.missing) : null, m = W(e.postTranslation) ? e.postTranslation : null, O = t ? t.warnHtmlMessage : K(e.warnHtmlMessage) ? e.warnHtmlMessage : !0, d = !!e.escapeParameter;
  const I = t ? t.modifiers : M(e.modifiers) ? e.modifiers : {};
  let A = e.pluralRules || t && t.pluralRules, N;
  N = (() => {
    r && qt(null);
    const _ = {
      version: $a,
      locale: u.value,
      fallbackLocale: c.value,
      messages: p.value,
      modifiers: I,
      pluralRules: A,
      missing: f === null ? void 0 : f,
      missingWarn: T,
      fallbackWarn: S,
      fallbackFormat: b,
      unresolving: !0,
      postTranslation: m === null ? void 0 : m,
      warnHtmlMessage: O,
      escapeParameter: d,
      messageResolver: e.messageResolver,
      messageCompiler: e.messageCompiler,
      __meta: { framework: "vue" }
    };
    _.datetimeFormats = g.value, _.numberFormats = h.value, _.__datetimeFormatters = M(N) ? N.__datetimeFormatters : void 0, _.__numberFormatters = M(N) ? N.__numberFormatters : void 0, process.env.NODE_ENV !== "production" && (_.__v_emitter = M(N) ? N.__v_emitter : void 0);
    const L = Ca(_);
    return r && qt(L), L;
  })(), ve(N, u.value, c.value);
  function w() {
    return [
      u.value,
      c.value,
      p.value,
      g.value,
      h.value
    ];
  }
  const H = Ae({
    get: () => u.value,
    set: (_) => {
      N.locale = _, u.value = _;
    }
  }), te = Ae({
    get: () => c.value,
    set: (_) => {
      N.fallbackLocale = _, c.value = _, ve(N, u.value, _);
    }
  }), x = Ae(() => p.value), ge = /* @__PURE__ */ Ae(() => g.value), Je = /* @__PURE__ */ Ae(() => h.value);
  function Qe() {
    return W(m) ? m : null;
  }
  function qe(_) {
    m = _, N.postTranslation = _;
  }
  function Ze() {
    return D;
  }
  function ze(_) {
    _ !== null && (f = _n(_)), D = _, N.missing = f;
  }
  function et(_, L) {
    return _ !== "translate" || !L.resolvedMessage;
  }
  const ae = (_, L, U, G, Ee, we) => {
    w();
    let Ie;
    try {
      process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__, r || (N.fallbackContext = t ? ha() : void 0), Ie = _(N);
    } finally {
      process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__, r || (N.fallbackContext = void 0);
    }
    if (U !== "translate exists" && // for not `te` (e.g `t`)
    X(Ie) && Ie === Xe || U === "translate exists" && !Ie) {
      const [Ne, Un] = L();
      if (process.env.NODE_ENV !== "production" && t && C(Ne) && et(U, Un) && (v && (je(S, Ne) || hn(T, Ne)) && fe(kt(ue.FALLBACK_TO_ROOT, {
        key: Ne,
        type: U
      })), process.env.NODE_ENV !== "production")) {
        const { __v_emitter: wt } = N;
        wt && v && wt.emit("fallback", {
          type: U,
          key: Ne,
          to: "global",
          groupId: `${U}:${Ne}`
        });
      }
      return t && v ? G(t) : Ee(Ne);
    } else {
      if (we(Ie))
        return Ie;
      throw Me(J.UNEXPECTED_RETURN_TYPE);
    }
  };
  function Se(..._) {
    return ae((L) => Reflect.apply(on, null, [L, ..._]), () => Lt(..._), "translate", (L) => Reflect.apply(L.t, L, [..._]), (L) => L, (L) => C(L));
  }
  function tt(..._) {
    const [L, U, G] = _;
    if (G && !F(G))
      throw Me(J.INVALID_ARGUMENT);
    return Se(L, U, j({ resolvedMessage: !0 }, G || {}));
  }
  function nt(..._) {
    return ae((L) => Reflect.apply(en, null, [L, ..._]), () => Nt(..._), "datetime format", (L) => Reflect.apply(L.d, L, [..._]), () => He, (L) => C(L));
  }
  function rt(..._) {
    return ae((L) => Reflect.apply(nn, null, [L, ..._]), () => pt(..._), "number format", (L) => Reflect.apply(L.n, L, [..._]), () => He, (L) => C(L));
  }
  function at(_) {
    return _.map((L) => C(L) || X(L) || K(L) ? ln(String(L)) : L);
  }
  const st = {
    normalize: at,
    interpolate: (_) => _,
    type: "vnode"
  };
  function Ue(..._) {
    return ae((L) => {
      let U;
      const G = L;
      try {
        G.processor = st, U = Reflect.apply(on, null, [G, ..._]);
      } finally {
        G.processor = null;
      }
      return U;
    }, () => Lt(..._), "translate", (L) => L[Tt](..._), (L) => [ln(L)], (L) => B(L));
  }
  function ot(..._) {
    return ae((L) => Reflect.apply(nn, null, [L, ..._]), () => pt(..._), "number format", (L) => L[gt](..._), un, (L) => C(L) || B(L));
  }
  function lt(..._) {
    return ae((L) => Reflect.apply(en, null, [L, ..._]), () => Nt(..._), "datetime format", (L) => L[Ot](..._), un, (L) => C(L) || B(L));
  }
  function it(_) {
    A = _, N.pluralRules = A;
  }
  function ct(_, L) {
    return ae(() => {
      if (!_)
        return !1;
      const U = C(L) ? L : u.value, G = de(U), Ee = N.messageResolver(G, _);
      return Te(Ee) || ee(Ee) || C(Ee);
    }, () => [_], "translate exists", (U) => Reflect.apply(U.te, U, [_, L]), Ba, (U) => K(U));
  }
  function De(_) {
    let L = null;
    const U = Ln(N, c.value, u.value);
    for (let G = 0; G < U.length; G++) {
      const Ee = p.value[U[G]] || {}, we = N.messageResolver(Ee, _);
      if (we != null) {
        L = we;
        break;
      }
    }
    return L;
  }
  function Re(_) {
    const L = De(_);
    return L ?? (t ? t.tm(_) || {} : {});
  }
  function de(_) {
    return p.value[_] || {};
  }
  function Pe(_, L) {
    if (a) {
      const U = { [_]: L };
      for (const G in U)
        ne(U, G) && Fe(U[G]);
      L = U[_];
    }
    p.value[_] = L, N.messages = p.value;
  }
  function ut(_, L) {
    p.value[_] = p.value[_] || {};
    const U = { [_]: L };
    if (a)
      for (const G in U)
        ne(U, G) && Fe(U[G]);
    L = U[_], Ye(L, p.value[_]), N.messages = p.value;
  }
  function o(_) {
    return g.value[_] || {};
  }
  function l(_, L) {
    g.value[_] = L, N.datetimeFormats = g.value, tn(N, _, L);
  }
  function E(_, L) {
    g.value[_] = j(g.value[_] || {}, L), N.datetimeFormats = g.value, tn(N, _, L);
  }
  function R(_) {
    return h.value[_] || {};
  }
  function $(_, L) {
    h.value[_] = L, N.numberFormats = h.value, rn(N, _, L);
  }
  function Y(_, L) {
    h.value[_] = j(h.value[_] || {}, L), N.numberFormats = h.value, rn(N, _, L);
  }
  fn++, t && le && (Vt(t.locale, (_) => {
    i && (u.value = _, N.locale = _, ve(N, u.value, c.value));
  }), Vt(t.fallbackLocale, (_) => {
    i && (c.value = _, N.fallbackLocale = _, ve(N, u.value, c.value));
  }));
  const k = {
    id: fn,
    locale: H,
    fallbackLocale: te,
    get inheritLocale() {
      return i;
    },
    set inheritLocale(_) {
      i = _, _ && t && (u.value = t.locale.value, c.value = t.fallbackLocale.value, ve(N, u.value, c.value));
    },
    get availableLocales() {
      return Object.keys(p.value).sort();
    },
    messages: x,
    get modifiers() {
      return I;
    },
    get pluralRules() {
      return A || {};
    },
    get isGlobal() {
      return r;
    },
    get missingWarn() {
      return T;
    },
    set missingWarn(_) {
      T = _, N.missingWarn = T;
    },
    get fallbackWarn() {
      return S;
    },
    set fallbackWarn(_) {
      S = _, N.fallbackWarn = S;
    },
    get fallbackRoot() {
      return v;
    },
    set fallbackRoot(_) {
      v = _;
    },
    get fallbackFormat() {
      return b;
    },
    set fallbackFormat(_) {
      b = _, N.fallbackFormat = b;
    },
    get warnHtmlMessage() {
      return O;
    },
    set warnHtmlMessage(_) {
      O = _, N.warnHtmlMessage = _;
    },
    get escapeParameter() {
      return d;
    },
    set escapeParameter(_) {
      d = _, N.escapeParameter = _;
    },
    t: Se,
    getLocaleMessage: de,
    setLocaleMessage: Pe,
    mergeLocaleMessage: ut,
    getPostTranslationHandler: Qe,
    setPostTranslationHandler: qe,
    getMissingHandler: Ze,
    setMissingHandler: ze,
    [Ka]: it
  };
  return k.datetimeFormats = ge, k.numberFormats = Je, k.rt = tt, k.te = ct, k.tm = Re, k.d = nt, k.n = rt, k.getDateTimeFormat = o, k.setDateTimeFormat = l, k.mergeDateTimeFormat = E, k.getNumberFormat = R, k.setNumberFormat = $, k.mergeNumberFormat = Y, k[vn] = n, k[Tt] = Ue, k[Ot] = lt, k[gt] = ot, process.env.NODE_ENV !== "production" && (k[It] = (_) => {
    N.__v_emitter = _;
  }, k[At] = () => {
    N.__v_emitter = void 0;
  }), k;
}
function mn(e, t) {
}
const Mt = {
  tag: {
    type: [String, Object]
  },
  locale: {
    type: String
  },
  scope: {
    type: String,
    // NOTE: avoid https://github.com/microsoft/rushstack/issues/1050
    validator: (e) => e === "parent" || e === "global",
    default: "parent"
    /* ComponentI18nScope */
  },
  i18n: {
    type: Object
  }
};
function Ja({ slots: e }, t) {
  return t.length === 1 && t[0] === "default" ? (e.default ? e.default() : []).reduce((r, a) => [
    ...r,
    // prettier-ignore
    ...a.type === Nn ? a.children : [a]
  ], []) : t.reduce((n, r) => {
    const a = e[r];
    return a && (n[r] = a()), n;
  }, V());
}
function Mn() {
  return Nn;
}
j({
  keypath: {
    type: String,
    required: !0
  },
  plural: {
    type: [Number, String],
    validator: (e) => X(e) || !isNaN(e)
  }
}, Mt);
function Qa(e) {
  return B(e) && !C(e[0]);
}
function Fn(e, t, n, r) {
  const { slots: a, attrs: s } = t;
  return () => {
    const i = { part: !0 };
    let u = V();
    e.locale && (i.locale = e.locale), C(e.format) ? i.key = e.format : F(e.format) && (C(e.format.key) && (i.key = e.format.key), u = Object.keys(e.format).reduce((T, S) => n.includes(S) ? j(V(), T, { [S]: e.format[S] }) : T, V()));
    const c = r(e.value, i, u);
    let p = [i.key];
    B(c) ? p = c.map((T, S) => {
      const v = a[T.type], b = v ? v({ [T.type]: T.value, index: S, parts: c }) : [T.value];
      return Qa(b) && (b[0].key = `${T.type}-${S}`), b;
    }) : C(c) && (p = [c]);
    const g = j(V(), s), h = C(e.tag) || F(e.tag) ? e.tag : Mn();
    return En(h, g, p);
  };
}
j({
  value: {
    type: Number,
    required: !0
  },
  format: {
    type: [String, Object]
  }
}, Mt);
const qa = /* @__PURE__ */ ie("global-vue-i18n");
function Ft(e = {}) {
  const t = Ct();
  if (t == null)
    throw Me(J.MUST_BE_CALL_SETUP_TOP);
  if (!t.isCE && t.appContext.app != null && !t.appContext.app.__VUE_I18N_SYMBOL__)
    throw Me(J.NOT_INSTALLED);
  const n = Za(t), r = es(n), a = kn(t), s = za(e, a);
  if (s === "global")
    return xa(r, e, a), r;
  if (s === "parent") {
    let c = ts(n, t, e.__useComponent);
    return c == null && (process.env.NODE_ENV !== "production" && fe(kt(ue.NOT_FOUND_PARENT_SCOPE)), c = r), c;
  }
  const i = n;
  let u = i.__getInstance(t);
  if (u == null) {
    const c = j({}, e);
    "__i18n" in a && (c.__i18n = a.__i18n), r && (c.__root = r), u = ja(c), i.__composerExtend && (u[ht] = i.__composerExtend(u)), rs(i, t, u), i.__setInstance(t, u);
  }
  return u;
}
function Za(e) {
  const t = Vn(e.isCE ? qa : e.appContext.app.__VUE_I18N_SYMBOL__);
  if (!t)
    throw Me(e.isCE ? J.NOT_INSTALLED_WITH_PROVIDE : J.UNEXPECTED_ERROR);
  return t;
}
function za(e, t) {
  return Be(e) ? "__i18n" in t ? "local" : "global" : e.useScope ? e.useScope : "local";
}
function es(e) {
  return e.mode === "composition" ? e.global : e.global.__composer;
}
function ts(e, t, n = !1) {
  let r = null;
  const a = t.root;
  let s = ns(t, n);
  for (; s != null; ) {
    const i = e;
    if (e.mode === "composition")
      r = i.__getInstance(s);
    else if (__VUE_I18N_LEGACY_API__) {
      const u = i.__getInstance(s);
      u != null && (r = u.__composer, n && r && !r[vn] && (r = null));
    }
    if (r != null || a === s)
      break;
    s = s.parent;
  }
  return r;
}
function ns(e, t = !1) {
  return e == null ? null : t && e.vnode.ctx || e.parent;
}
function rs(e, t, n) {
  let r = null;
  $n(() => {
    if (process.env.NODE_ENV !== "production" && t.vnode.el) {
      t.vnode.el.__VUE_I18N__ = n, r = tr();
      const a = n;
      a[It] && a[It](r), r.on("*", mn);
    }
  }, t), Yn(() => {
    const a = n;
    process.env.NODE_ENV !== "production" && t.vnode.el && t.vnode.el.__VUE_I18N__ && (r && r.off("*", mn), a[At] && a[At](), delete t.vnode.el.__VUE_I18N__), e.__deleteInstance(t);
    const s = a[ht];
    s && (s(), delete a[ht]);
  }, t);
}
j({
  value: {
    type: [Number, Date],
    required: !0
  },
  format: {
    type: [String, Object]
  }
}, Mt);
Ya();
Ta(qr);
Oa(da);
ga(Ln);
if (process.env.NODE_ENV !== "production" || __INTLIFY_PROD_DEVTOOLS__) {
  const e = pe();
  e.__INTLIFY__ = !0, Zr(e.__INTLIFY_DEVTOOLS_GLOBAL_HOOK__);
}
process.env.NODE_ENV;
const is = (e, t) => {
  const n = e.__vccOpts || e;
  for (const [r, a] of t)
    n[r] = a;
  return n;
};
export {
  is as _,
  ls as a,
  Ft as u
};
